complexType "PositionConstituent"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 4 elements
Defined: | globally in fpml-valuation-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | (trade | positionVersionReference | tradeReference | holding)?
</...>

Content Model Elements (4):

  holding, positionVersionReference, | trade (defined in PositionConstituent complexType), tradeReference (defined in PositionConstituent complexType)

All Direct / Indirect Based Elements (2):

  constituent (defined in Position complexType), | constituent (defined in PositionWithoutId.model group)

Known Usage Locations

- As direct type of elements (2):

  constituent (defined in Position complexType), | constituent (defined in PositionWithoutId.model group)

Annotation
The items (trades, trade references, holdings, other positions) that comprise this position. Currently a position may consist only of a single trade, a reference to a previously submitted position, or a reference to the trade. The choice structure is optional to allow extensions to be placed within this container.
XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="PositionConstituent"> <xsd:choice minOccurs="0"> <xsd:element name="trade" type="Trade"/> <xsd:element name="positionVersionReference" type="xsd:positiveInteger"/> <xsd:element name="tradeReference" type="PartyTradeIdentifiers"/> <xsd:element name="holding" type="Holding"/> </xsd:choice> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
holding

  Type: | Holding, complex content

  An amount of an instrument that is held.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="holding" type="Holding"/>

positionVersionReference

  Type: | xsd:positiveInteger, predefined, simple content

  A previously submitted version of the position.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="positionVersionReference" type="xsd:positiveInteger"/>

trade

  Type: | Trade, complex content

  An element that allows the full details of the trade to be used as a mechanism for identifying the trade for which the post-trade event pertains.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="trade" type="Trade"/>

tradeReference

  Type: | PartyTradeIdentifiers, complex content

  The trade reference identifier(s) allocated to the trade by the parties involved.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="tradeReference" type="PartyTradeIdentifiers"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.